Subject: [PATCH v2 1/8] ARM/dts: OMAP2: Add McBSP entries for OMAP2420 and OMAP2430 SoC

From: [email-masked] (Benoit Cousson)
Date: Fri, 7 Sep 2012 10:42:49 +0200

Hi Anil,

On 09/07/2012 07:45 AM, AnilKumar, Chimata wrote:
> On Wed, Sep 05, 2012 at 20:11:11, Hiremath, Vaibhav wrote:
>> On Wed, Sep 05, 2012 at 19:01:55, Cousson, Benoit wrote:
>>> Hi Vaibhav,
>>>
>>> On 09/05/2012 11:15 AM, Hiremath, Vaibhav wrote:
>>>> On Wed, Sep 05, 2012 at 13:53:58, Ujfalusi, Peter wrote:
>>>>> Hi,
>>>>>
>>>>> On 09/05/2012 09:11 AM, Hiremath, Vaibhav wrote:
>>>>>>> Not yet, but we discussed that with Peter and since he does have these
>>>>>>> patches for DT, he'll be able to test your series with the McBSP changes.
>>>>>>>
>>>>>>
>>>>>> Great.
>>>>>
>>>>> With his series and your patch for omap-hwmod audio was probing and working on
>>>>> OMAP3/4/5 without issues.
>>>>>
>>>> Peter,
>>>> Care to provide your Tested-By??
>>>>
>>>> Benoit,
>>>> Can we merge this patch now?
>>>
>>> Yes, I'll include it in the pull request along with DTS patches.
>>>
>>> I've just tested it as well on OMAP4 by hacking the DTS for GPIO.
>>> I'll try to update at least all the OMAP4 IPs as well with the proper
>>> DTS resources for 3.7.
>>>
>>
>> Thanks Benoit,
>>
>> There are other patches which are pending,
>>
>> arm/dts: AM33XX: Convert all hex numbers to lower-case
>> https://patchwork.kernel.org/patch/1377351/
>> arm/dts: AM33XX: Specify reg and interrupt property for all nodes
>> https://patchwork.kernel.org/patch/1377361/
>>
> 
> Few more DT patches which are pending
> 
> arm/dts: AM33XX: Add basic pinctrl device tree data
> http://www.spinics.net/lists/linux-omap/msg76684.html
> arm/dts: AM33XX: Configure pinmuxs for user leds control on Bone
> http://www.spinics.net/lists/linux-omap/msg76682.html
> arm/dts: AM33XX: Add D_CAN device tree data
> http://www.spinics.net/lists/linux-omap/msg76683.html

These ones still need some acks, but looks fine to me.

Can you rebase them on top of the branch that already contains some
AM33xx patches from Vaibhav:

git://git.kernel.org/pub/scm/linux/kernel/git/bcousson/linux-omap-dt.git
for_3.7/dts

While you are rebasing, could you as well change the subject to use
"ARM: dts: " prefix. It looks like everybody is using that convention
now beside OMAP :-(

Thanks,
Benoit